<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<parent>
		<groupId>eu.dnetlib.dhp</groupId>
		<artifactId>dnet-applications</artifactId>
		<version>3.3.2-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>

	<modelVersion>4.0.0</modelVersion>
	<artifactId>apps</artifactId>
	<packaging>pom</packaging>

	<modules>
		<module>dhp-broker-application</module>
		<module>dhp-broker-public-application</module>
		<module>dhp-mdstore-manager</module>
		<module>dnet-orgs-database-application</module>
		<module>dnet-exporter-api</module>
		<module>scholexplorer-api</module>
		<module>bioschemas-api</module>
	</modules>

	<dependencies>
		<!-- Spring Boot -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-configuration-processor</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- Openaire -->
		<dependency>
			<groupId>eu.dnetlib.dhp</groupId>
			<artifactId>dnet-apps-common</artifactId>
			<version>${project.version}</version>
		</dependency>
	</dependencies>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-help-plugin</artifactId>
					<executions>
						<execution>
							<phase>generate-resources</phase>
							<goals>
								<goal>effective-pom</goal>
							</goals>
							<configuration>
								<output>${project.build.outputDirectory}/META-INF/maven/${project.groupId}/${project.artifactId}/effective-pom.xml</output>
							</configuration>
						</execution>
					</executions>
				</plugin>

				<plugin>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-maven-plugin</artifactId>
					<configuration>
						<executable>true</executable>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
</project>
